Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERDatatype

    com.change_vision.jude.api.inf.model.IERDatatype

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IERDatatype

extends INamedElement

Interface for ERDatatype. Can be set as ERAttribute type and ERDomain type.

See Also:
  `ERModelEditor`, `IERAttribute`, `IERDomain`

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getDefaultLengthPrecision()` Get Length/Precision as default.
`abstract String` | `getDescription()` Get Description.
`abstract String` | `getLengthConstraint()` Get Length constraint.
`abstract String` | `getPrecisionConstraint()` Get Precision constraint.
`abstract void` | `setDefaultLengthPrecision(String defaultLength)` Set Default Length and Precision.
`abstract void` | `setDescription(String description)` Set Description.
`abstract void` | `setLengthConstraint(String lengthConstraint)` Set Length Constraint.
`abstract void` | `setPrecisionConstraint(String precisionConstaint)` Set Precision Constraint.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getLengthConstraint

    abstract String getLengthConstraint()

  Get Length constraint.

  Returns:
    Constraint[None/Required/Optional]. Return an empty string in case there is none.

### getPrecisionConstraint

    abstract String getPrecisionConstraint()

  Get Precision constraint.

  Returns:
    Constraint[None/Required/Optional]. Return an empty string in case there is none.

### getDefaultLengthPrecision

    abstract String getDefaultLengthPrecision()

  Get Length/Precision as default.

  Returns:
    Length/Precision. Return an empty string in case there is none.

### getDescription

    abstract String getDescription()

  Get Description.

  Returns:
    Description

### setLengthConstraint

    abstract void setLengthConstraint(String lengthConstraint)

  Set Length Constraint. [None/Required/Optional]

  Parameters:
    `lengthConstraint` - Length Constraint
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_LENGTH_PRICISION_ERROR_KEY - if length and precision are not correct.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setPrecisionConstraint

    abstract void setPrecisionConstraint(String precisionConstaint)

  Set Precision Constraint. [None/Required/Optional]

  Parameters:
    `precisionConstaint` - Precision Constraint
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_LENGTH_PRICISION_ERROR_KEY - if length and precision are not correct.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDefaultLengthPrecision

    abstract void setDefaultLengthPrecision(String defaultLength)

  Set Default Length and Precision. Default Length and Precision should be number.

  Parameters:
    `defaultLength` - Length and Precision

         value "10"   : Length 10
         value "10,5" : Length 10, Precision 5

         To set Length and Precision, Datatype option for Length and Precision is referred.
             None : value should NOT be set.
             Optional : value is optional.
             Required : value is required. It should NOT be null.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_LENGTH_PRICISION_ERROR_KEY - if length and precision are not correct.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDescription

    abstract void setDescription(String description)

  Set Description.

  Parameters:
    `description` - Description
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD